cURL
curl --request GET \ --url https://catchall.newscatcherapi.com/catchAll/jobs/user \ --header 'x-api-key: <api-key>'
{ "total": 27, "page": 1, "page_size": 2, "total_pages": 14, "jobs": [ { "job_id": "5f0c9087-85cb-4917-b3c7-e5a5eff73a0c", "query": "Series B funding rounds for SaaS startups", "created_at": "2026-02-24T13:57:56Z", "status": "completed", "user_key": "***...a1b2", "mode": "base" }, { "job_id": "8d618890-f9f5-4c97-af17-236136a306a7", "query": "Corporate headquarters relocations in the US", "created_at": "2026-02-18T20:25:20Z", "status": "completed", "user_key": "***...a1b2", "mode": "base" } ] }
Returns all jobs created by the authenticated user.
API key for authentication.
Page number to retrieve.
x >= 1
Number of records per page.
1 <= x <= 1000
User jobs retrieved successfully
Total number of jobs for this user.
47
Current page number.
1
Number of jobs per page.
10
Total number of pages available.
5
Array of user jobs on this page.
Show child attributes
Was this page helpful?